Name:           perl-Class-Virtual
Version:        0.08
Release:        1%{?dist}
Summary:        Base class for virtual base classes in Perl
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Class-Virtual/

Source0:        http://search.cpan.org/CPAN/authors/id/M/MS/MSCHWERN/Class-Virtual-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  perl
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker)

# Run-time:
BuildRequires:  perl(strict)
BuildRequires:  perl(vars)

# Testing
BuildRequires:  perl(base)
BuildRequires:  perl(Carp::Assert)
BuildRequires:  perl(Class::Data::Inheritable)
BuildRequires:  perl(Class::ISA)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(warnings)

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl(Carp)


%description
This is a base class for implementing virtual base classes (what some
people call an abstract class). It allows the programmer to explicitly
declare what methods are virtual and that must be implemented by subclasses.


%prep
%setup -q -n Class-Virtual-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test


%files
%doc Changes
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Wed Aug 10 2016 Denis Fateyev <denis@fateyev.com> - 0.08-1
- Update to 0.08 release

* Mon May 16 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.07-5
- Perl 5.24 rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.07-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.07-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 06 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.07-2
- Perl 5.22 rebuild

* Fri Mar 06 2015 Denis Fateyev <denis@fateyev.com> - 0.07-1
- Update to 0.07 release

* Mon Feb 23 2015 Denis Fateyev <denis@fateyev.com> - 0.06-1
- Initial release
